LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDataSinkEncrSupport Interface Reference

Allows to get access to the stream of a PackageStream. More...

`import"XDataSinkEncrSupport.idl";`

Inheritance diagram for XDataSinkEncrSupport:

## Public Member Functions
::com::sun::star::io::XInputStream | getDataStream () raises ( ::com::sun::star::packages::WrongPasswordException, ::com::sun::star::packages::zip::ZipException, ::com::sun::star::io::IOException )
| Allows to get access to the data of the PackageStream. More...
::com::sun::star::io::XInputStream | getRawStream () raises ( ::com::sun::star::packages::NoEncryptionException, ::com::sun::star::io::IOException )
| Allows to get access to the data of the PackageStream as to raw stream. More...
void | setDataStream ([in] ::com::sun::star::io::XInputStream aStream) raises ( ::com::sun::star::io::IOException )
| Allows to set a data stream for the PackageStream. More...
void | setRawStream ([in] ::com::sun::star::io::XInputStream aStream) raises ( ::com::sun::star::packages::EncryptionNotAllowedException, ::com::sun::star::packages::NoRawFormatException, ::com::sun::star::io::IOException )
| Allows to set raw stream for the PackageStream. More...
::com::sun::star::io::XInputStream | getPlainRawStream () raises ( ::com::sun::star::io::IOException, ::com::sun::star::packages::NoEncryptionException )
| Allows to get access to the raw data of the stream as it is stored in the package. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Allows to get access to the stream of a PackageStream.

## Member Function Documentation

## ◆ getDataStream()

::com::sun::star::io::XInputStream getDataStream | ( |  | ) |
raises | ( | ::com::sun::star::packages::WrongPasswordException,
|  | ::com::sun::star::packages::zip::ZipException,
|  | ::com::sun::star::io::IOException
| ) |  |

Allows to get access to the data of the PackageStream.

In case stream is encrypted one and the key for the stream is not set, an exception must be thrown.

Returns
  the stream

Exceptions

  com::sun::star::packages::WrongPasswordException | no key or a wrong one is set
  com::sun::star::io::IOException | in case of io problems during retrieving

## ◆ getPlainRawStream()

::com::sun::star::io::XInputStream getPlainRawStream | ( |  | ) |
raises | ( | ::com::sun::star::io::IOException,
|  | ::com::sun::star::packages::NoEncryptionException
| ) |  |

Allows to get access to the raw data of the stream as it is stored in the package.

Returns
  the plain raw stream as it is stored in the package

Exceptions

  com::sun::star::packages::NoEncryptionException | the PackageStream object is not encrypted
  com::sun::star::io::IOException | in case of io problems during retrieving

## ◆ getRawStream()

::com::sun::star::io::XInputStream getRawStream | ( |  | ) |
raises | ( | ::com::sun::star::packages::NoEncryptionException,
|  | ::com::sun::star::io::IOException
| ) |  |

Allows to get access to the data of the PackageStream as to raw stream.

In case stream is not encrypted an exception will be thrown.

The difference of raw stream is that it contains header for encrypted data, so an encrypted stream can be copied from one PackageStream to another one without decryption.

Returns
  the raw representation of stream

Exceptions

  com::sun::star::packages::NoEncryptionException | the PackageStream object is not encrypted
  com::sun::star::io::IOException | in case of io problems during retrieving

## ◆ setDataStream()

void setDataStream | ( | [in] ::com::sun::star::io::XInputStream | aStream | ) |
raises | ( | ::com::sun::star::io::IOException
| ) |  |

Allows to set a data stream for the PackageStream.

In case PackageStream is marked as encrypted the data stream will be encrypted on storing.

Parameters

  aStream | new data stream

Exceptions

  com::sun::star::io::IOException | in case of io problems

## ◆ setRawStream()

void setRawStream | ( | [in] ::com::sun::star::io::XInputStream | aStream | ) |
raises | ( | ::com::sun::star::packages::EncryptionNotAllowedException,
|  | ::com::sun::star::packages::NoRawFormatException,
|  | ::com::sun::star::io::IOException
| ) |  |

Allows to set raw stream for the PackageStream.

The PackageStream object can not be marked as encrypted one, an exception will be thrown in such case.

Parameters

  aStream | the new raw representation of stream

Exceptions

  com::sun::star::packages::EncryptionNotAllowedException | the PackageStream object is marked as encrypted
  com::sun::star::packages::NoRawFormatException | the stream is not a correct raw representation of encrypted package stream
  com::sun::star::io::IOException | in case of io problems during retrieving

The documentation for this interface was generated from the following file:

- com/sun/star/packages/XDataSinkEncrSupport.idl